org.custommonkey.xmlunit

## Interface XMLConstants

All Known Subinterfaces:
  XSLTConstants

All Known Implementing Classes:
  NodeDescriptor, SimpleXpathEngine, XMLAssert, XMLTestCase, XpathNodeTracker

    public interface XMLConstants

A convenient place to hang constants relating to general XML usage

### Field Summary

Fields
`static java.lang.String` `CLOSE_NODE` ">"
`static java.lang.String` `END_CDATA` "]]"
`static java.lang.String` `END_COMMENT` "--""
`static java.lang.String` `END_PROCESSING_INSTRUCTION` "?"
`static java.lang.String` `NULL_NS_URI` ""
`static java.lang.String` `OPEN_END_NODE` "</"
`static java.lang.String` `OPEN_START_NODE` "<"
`static java.lang.String` `START_CDATA` "![CDATA["
`static java.lang.String` `START_COMMENT` "!--"
`static java.lang.String` `START_DOCTYPE` "!DOCTYPE"
`static java.lang.String` `START_PROCESSING_INSTRUCTION` "?"
`static java.lang.String` `W3C_XML_SCHEMA_INSTANCE_NO_NAMESPACE_SCHEMA_LOCATION_ATTR` "noNamespaceSchemaLocation"
`static java.lang.String` `W3C_XML_SCHEMA_INSTANCE_NS_URI` http://www.w3.org/2001/XMLSchema-instance
`static java.lang.String` `W3C_XML_SCHEMA_INSTANCE_SCHEMA_LOCATION_ATTR` "schemaLocation"
`static java.lang.String` `W3C_XML_SCHEMA_INSTANCE_TYPE_ATTR` "type"
`static java.lang.String` `W3C_XML_SCHEMA_NS_URI` http://www.w3.org/2001/XMLSchema
`static java.lang.String` `XML_DECLARATION` <?xml> declaration
`static java.lang.String` `XMLNS_ATTRIBUTE_URI` xmlns URI
`static java.lang.String` `XMLNS_PREFIX` xmlns attribute prefix
`static java.lang.String` `XPATH_ATTRIBUTE_IDENTIFIER` "&at;"
`static java.lang.String` `XPATH_CHARACTER_NODE_IDENTIFIER` "text()"
`static java.lang.String` `XPATH_COMMENT_IDENTIFIER` "comment()"
`static java.lang.String` `XPATH_NODE_INDEX_END` "]"
`static java.lang.String` `XPATH_NODE_INDEX_START` "["
`static java.lang.String` `XPATH_PROCESSING_INSTRUCTION_IDENTIFIER` "processing-instruction()"
`static java.lang.String` `XPATH_SEPARATOR` "/"

### Field Detail

#### XML_DECLARATION

    static final java.lang.String XML_DECLARATION

<?xml> declaration

See Also:
  Constant Field Values

#### XMLNS_PREFIX

    static final java.lang.String XMLNS_PREFIX

xmlns attribute prefix

See Also:
  Constant Field Values

#### XMLNS_ATTRIBUTE_URI

    static final java.lang.String XMLNS_ATTRIBUTE_URI

xmlns URI

See Also:
  Constant Field Values

#### OPEN_START_NODE

    static final java.lang.String OPEN_START_NODE

"<"

See Also:
  Constant Field Values

#### OPEN_END_NODE

    static final java.lang.String OPEN_END_NODE

"</"

See Also:
  Constant Field Values

#### CLOSE_NODE

    static final java.lang.String CLOSE_NODE

">"

See Also:
  Constant Field Values

#### START_CDATA

    static final java.lang.String START_CDATA

"![CDATA["

See Also:
  Constant Field Values

#### END_CDATA

    static final java.lang.String END_CDATA

"]]"

See Also:
  Constant Field Values

#### START_COMMENT

    static final java.lang.String START_COMMENT

"!--"

See Also:
  Constant Field Values

#### END_COMMENT

    static final java.lang.String END_COMMENT

"--""

See Also:
  Constant Field Values

#### START_PROCESSING_INSTRUCTION

    static final java.lang.String START_PROCESSING_INSTRUCTION

"?"

See Also:
  Constant Field Values

#### END_PROCESSING_INSTRUCTION

    static final java.lang.String END_PROCESSING_INSTRUCTION

"?"

See Also:
  Constant Field Values

#### START_DOCTYPE

    static final java.lang.String START_DOCTYPE

"!DOCTYPE"

See Also:
  Constant Field Values

#### XPATH_SEPARATOR

    static final java.lang.String XPATH_SEPARATOR

"/"

See Also:
  Constant Field Values

#### XPATH_NODE_INDEX_START

    static final java.lang.String XPATH_NODE_INDEX_START

"["

See Also:
  Constant Field Values

#### XPATH_NODE_INDEX_END

    static final java.lang.String XPATH_NODE_INDEX_END

"]"

See Also:
  Constant Field Values

#### XPATH_COMMENT_IDENTIFIER

    static final java.lang.String XPATH_COMMENT_IDENTIFIER

"comment()"

See Also:
  Constant Field Values

#### XPATH_PROCESSING_INSTRUCTION_IDENTIFIER

    static final java.lang.String XPATH_PROCESSING_INSTRUCTION_IDENTIFIER

"processing-instruction()"

See Also:
  Constant Field Values

#### XPATH_CHARACTER_NODE_IDENTIFIER

    static final java.lang.String XPATH_CHARACTER_NODE_IDENTIFIER

"text()"

See Also:
  Constant Field Values

#### XPATH_ATTRIBUTE_IDENTIFIER

    static final java.lang.String XPATH_ATTRIBUTE_IDENTIFIER

"&at;"

See Also:
  Constant Field Values

#### W3C_XML_SCHEMA_NS_URI

    static final java.lang.String W3C_XML_SCHEMA_NS_URI

http://www.w3.org/2001/XMLSchema

See Also:
  Constant Field Values

#### W3C_XML_SCHEMA_INSTANCE_NS_URI

    static final java.lang.String W3C_XML_SCHEMA_INSTANCE_NS_URI

http://www.w3.org/2001/XMLSchema-instance

See Also:
  Constant Field Values

#### W3C_XML_SCHEMA_INSTANCE_SCHEMA_LOCATION_ATTR

    static final java.lang.String W3C_XML_SCHEMA_INSTANCE_SCHEMA_LOCATION_ATTR

"schemaLocation"

See Also:
  Constant Field Values

#### W3C_XML_SCHEMA_INSTANCE_NO_NAMESPACE_SCHEMA_LOCATION_ATTR

    static final java.lang.String W3C_XML_SCHEMA_INSTANCE_NO_NAMESPACE_SCHEMA_LOCATION_ATTR

"noNamespaceSchemaLocation"

See Also:
  Constant Field Values

#### W3C_XML_SCHEMA_INSTANCE_TYPE_ATTR

    static final java.lang.String W3C_XML_SCHEMA_INSTANCE_TYPE_ATTR

"type"

See Also:
  Constant Field Values

#### NULL_NS_URI

    static final java.lang.String NULL_NS_URI

""

See Also:
  Constant Field Values